import { ToolbarActionToggle } from './toolbar-action-toggle';
import { ToolbarAction } from './toolbar-action';
import { Toolbar } from './toolbar';
export type ToolbarMenuActions = (ToolbarAction | ToolbarAction[])[];
export declare class ToolbarMenu extends ToolbarActionToggle {
    readonly actions: ToolbarMenuActions;
    protected onDocumentClickListener: () => void;
    protected menu?: HTMLDivElement;
    constructor(actions: ToolbarMenuActions);
    private matchActionByName;
    add(action: ToolbarAction | ToolbarAction[], index?: number, group?: number): void;
    get(name: string): ToolbarAction | undefined;
    remove(name: string): void;
    setToolbar(toolbar: Toolbar): void;
    initialize(): Promise<void>;
    terminate(): Promise<void>;
    open(): void;
    close(): void;
}
